{
    attributes = (
        {
            columnName = "TAP_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "tap_id"; }; 
            name = tapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TAP_TAUX"; 
            externalType = NUMBER; 
            name = tapTaux; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "tyet_id"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tapId, tapTaux, tyetId); 
    className = "org.cocktail.jefyadmin.server.metier.EOTauxProrata"; 
    classProperties = (tapTaux, tyetId, typeEtat); 
    externalName = "JEFY_ADMIN.TAUX_PRORATA"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tapTaux, typeEtat); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOTauxProrata"; 
        "_nameInObjectStore" = "Taux_prorata"; 
    }; 
    name = TauxProrata; 
    primaryKeyAttributes = (tapId); 
    relationships = (
        {
            destination = TypeEtat; 
            internalInfo = {"_nameInObjectStore" = Relationship; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }
    ); 
}
